package layout_management;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * This class will give you practice creating and laying out containers.
 * @author Your Name Here
 */
public class LayoutManagement extends JComponent {
    
    public LayoutManagement() {
        setLayout(new FlowLayout());
        
        final JLabel message = new JLabel("Default Message");
        
        String[] labels = "This class will give you practice creating and laying out containers".split("\\s");
        for (final String label : labels) {
            JButton button = new JButton(label);
            button.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    message.setText(label);
                }
            });
            add(button);
        }
        
        add(message);
    }

    /**
     * @param args the command line arguments -- not used
     */
    public static void main(String[] args) {
        JFrame frame = new JFrame("Layout Management Lab");
        frame.add(new LayoutManagement());
        
        frame.pack();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
}
